def perfometer_check_mk_enhanceio(row, check_command, perf_data):
	color = { 0: "#0f0", 1: "#ff2", 2: "#f22", 3: "#fa2" }[row["service_state"]]
	rhit = savefloat(perf_data[0][1])
	whit = savefloat(perf_data[1][1])
	# Stolen from check_mk.py lnx interface 
	txt = []
	h = '<table><tr>'
	for name, bytes, color in [
		("r",  rhit, "#0e6"),
		("w", whit, "#2af") ]:
		pct = bytes / 100.0
		drate = max(0.02, pct ** 0.5 ** 0.5)
		rperc = 100 * pct
		dperc = 100 * drate
		a = perfometer_td(dperc / 2, color)
		b = perfometer_td(50 - dperc/2, "#fff")
		if name == "r":
			h += b + a # white left, color right
		else:
			h += a + b # color right, white left
		txt.append("%s %.1f%%" % (name, rperc))
        h += '</tr></table>'
        return " &nbsp; ".join(txt), h

perfometers["check_mk-enhanceio"]  = perfometer_check_mk_enhanceio
